Bug 696334 - (CVE-2011-0285) CVE-2011-0285 krb5: kadmind invalid pointer free() (MITKRB5-SA-004)
CVE-2011-0285 krb5: kadmind invalid pointer free() (MITKRB5-SA-004)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110408,reported=20110408,sou...
: Security
Depends On: 696341 696342 696343
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-13 16:39 EDT by Vincent Danen
Modified: 2016-03-01 04:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 23:59:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-04-13 16:39:51 EDT
A bug was discovered [1],[2] in the password-changing capability of the MIT krb5 administration daemon (kadmind) that can cause it to attempt to free() an invalid pointer under certain error conditions.  This could allow an unauthenticated remote attacker to cause the kadmind process to terminate, resulting in a denial of service.

Only krb5 1.7 and higher are vulnerable to this flaw; earlier releases to do not contain the functionality that the vulnerable code implements.

Upcoming krb5 releases will correct the flaw, but patches are available for 1.7.x/1.8.x [3] and 1.9.x [4].

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=621726
[2] http://web.mit.edu/Kerberos/advisories/MITKRB5-SA-2011-004.txt
[3] http://web.mit.edu/kerberos/advisories/2011-004-patch-r18.txt
[4] http://web.mit.edu/kerberos/advisories/2011-004-patch.txt
Comment 4 Vincent Danen 2011-04-13 17:02:43 EDT
Created krb5 tracking bugs for this issue

Affects: fedora-all [bug 696343]
Comment 6 Vincent Danen 2011-04-13 21:14:16 EDT
Glibc protections turn an invalid-free into a crash-only (no arbitrary code execution).
Comment 7 errata-xmlrpc 2011-04-14 14:16:34 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0447 https://rhn.redhat.com/errata/RHSA-2011-0447.html
Comment 8 Vincent Danen 2013-03-14 23:59:22 EDT
Statement:

This issue did not affect the versions of krb5 as shipped with Red Hat Enterprise Linux 5.

Note You need to log in before you can comment on or make changes to this bug.